Bug 99453 - redhat-config-network crashes on startup
redhat-config-network crashes on startup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-19 18:06 EDT by gloin
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 06:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gloin 2003-07-19 18:06:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
While choosing network from the system settings option , after prompting for
root passwd , the gui simply says exception occured and dumps the traceback 

While running neat from the command line , some error msg is dumped on the xterm
before opening the gui with the traceback log 

Version-Release number of selected component (if applicable):
1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1.Start->System Settings->Network
2.From the command line , type neat
3.
    

Actual Results:  Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py:137:search:TypeError:
expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevWireless.py",
line 34, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCWireless.py",
line 52, in load
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py", line 137,
in search
    return _compile(pattern, flags).search(string)
TypeError: expected string or buffer


Expected Results:  gui should appear with details of eth0 ,eth1 etc

Additional info:
this is the error message that appears on the command line
GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified
are supported and host-based authentication failed.
Copying ifcfg-eth1 to devices and putting it into the default profile.

redhat-config-network worked fine up until after i installed my wireless card.
these are the things i've done -
*copied the <driver>.o file to   
/lib/modules/2.4.20-18.9/kernel/drivers/net/pcmcia/
*created an ifcfg-eth1 file in /etc/sysconfig/network-scripts/
with the foll entries :
DEVICE=eth1
BOOTPROTO=dhcp
ONBOOT=no
MODE=auto
ESSID=any
*i am able to connect to the internet with my wireless card
Comment 1 Harald Hoyer 2003-07-21 06:17:52 EDT
please try the update from:
http://people.redhat.com/harald/redhat-config-network/
Comment 2 Harald Hoyer 2004-06-04 06:04:57 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.